System.Security 2.0.0.0 4.0.0.0 System.Security.Cryptography.Xml.Transform

The class represents the exclusive C14N XML canonicalization transform without comments. This class is similar to the class, which allows a signer to create a digest using the canonical form of an XML document. However, the class excludes ancestor context from a canonicalized subdocument.

Use the class when you need to canonicalize an XML subdocument so that it is independent from its XML context. For example, applications such as Web services that use signed XML within complex communication protocols often need to canonicalize XML in this manner. Such applications often envelop XML within various dynamically constructed elements, which can substantially change the document and cause XML signature verification to fail. The class solves this problem by excluding such ancestor context from the canonical subdocument.

Typically, you do not create a new instance of a canonicalization transform class. To specify a canonicalization transform, pass the Uniform Resource Identifier (URI) that describes a transform to the property, which is accessible from the property. To acquire a reference to the canonicalization transform, use the property, which is accessible from the property.

You are required to create a new instance of a canonicalization transform class only when you want to manually hash an XML document or use your own canonicalization algorithm.

The URI that describes the class is defined by the field.

The URI that describes the class is defined by the field.

For more information about the exclusive C14N transform, see the XMLDSIG specification, which is available from the World Wide Web Consortium (W3C) at www.w3.org/TR/xmldsig-core/. The canonicalization algorithm is defined in the W3C Canonical XML specification, which is available at www.w3.org/2001/10/xml-exc-c14n.

Represents the exclusive C14N XML canonicalization transform for a digital signature as defined by the World Wide Web Consortium (W3C), without comments.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class specifying a value that determines whether to include comments.

  true to include comments; otherwise, false.
- Constructor
  2.0.0.0
  4.0.0.0

  The parameter contains a whitespace-delimited list of namespace prefixes to canonicalize using the standard canonicalization algorithm rather than the exclusive canonicalization algorithm. To specify the default namespace, which does not have a prefix, pass the special prefix "#default".

  Initializes a new instance of the class specifying a list of namespace prefixes to canonicalize using the standard canonicalization algorithm.

  The namespace prefixes to canonicalize using the standard canonicalization algorithm.
- Constructor
  2.0.0.0
  4.0.0.0

  The parameter contains a whitespace-delimited list of namespace prefixes to canonicalize using the standard canonicalization algorithm rather than the exclusive canonicalization algorithm. To specify the default namespace, which does not have a prefix, pass the special prefix "#default".

  Initializes a new instance of the class specifying whether to include comments, and specifying a list of namespace prefixes.

  true to include comments; otherwise, false.
  The namespace prefixes to canonicalize using the standard canonicalization algorithm.
- Method
  2.0.0.0
  4.0.0.0
  System.Byte[] `` To be added.

  Returns the digest associated with a object.

  The digest associated with a object.

  The object used to create a digest.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeList To be added.

  Returns an XML representation of the parameters of a object that are suitable to be included as subelements of an XMLDSIG <Transform> element.

  A list of the XML nodes that represent the transform-specific content needed to describe the current object in an XMLDSIG <Transform> element.

- Method
  2.0.0.0
  4.0.0.0
  System.Object To be added.

  Returns the output of the current object

  The output of the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Object ``

  The method returns the output of the current transform after it is run on the value previously set by a call to the method.

  The type of the returned object must be one of the type objects in the property.

  Returns the output of the current object as an object of the specified type.

  The output of the current object as an object of the specified type.

  The type of the output to return. This must be one of the types in the property.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The property contains a whitespace-delimited list of namespace prefixes to canonicalize using the standard canonicalization algorithm rather than the exclusive canonicalization algorithm. To specify the default namespace, which does not have a prefix, pass the special prefix "#default".

  Gets or sets a string that contains namespace prefixes to canonicalize using the standard canonicalization algorithm.

- Property
  2.0.0.0
  4.0.0.0
  System.Type[] To be added.

  The array returned by the property must contain at least one element because every object must accept at least one type as valid input.

  A object typically accepts one or more of the following types as input: , , or .

  Gets an array of types that are valid inputs to the method of the current object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is used to process subelements of a <Transform> element.

  Parses the specified object as transform-specific content of a <Transform> element and configures the internal state of the current object to match the <Transform> element.

  An object that specifies transform-specific content for the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The type of the input object must be one of the types in the property.

  When overridden in a derived class, loads the specified input into the current object.

  The input to load into the current object.
- Property
  2.0.0.0
  4.0.0.0
  System.Type[] To be added.

  The array returned by the property must contain at least one element because every transform must generate at least one type as output.

  Gets an array of types that are possible outputs from the methods of the current object.